Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
skype for linux beta 2.1.0.47
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Aug 28, 2009 10:00 am    Post subject: skype for linux beta 2.1.0.47 Reply with quote

Hi,

finally the skype-team for linux has released a new (beta) version ! :D

http://www.skype.com/download/skype/linux/

Quote:
Hardware requirements
1 Ghz processor or faster.
256 MB RAM.
20 MB free disk space on your hard drive.
Microphone and speakers or headset.
Internet connection (broadband is best, GPRS is not supported for voice calls, and results may vary on a satellite connection). .
Video card driver with Xv support.
Software requirements
Qt 4.2.1+
D-Bus 1.0.0
libasound2 1.0.12
PulseAudio 0.9.10+ (optional)
PulseAudio 0.9.15+ (optional recommended)


Release Notes / Changelog:
https://developer.skype.com/LinuxSkype/ReleaseNotes#head-3f52da06443fa3fab9e439904758c5a03a5e41f8

Link to bugs.gentoo.org entry:
https://bugs.gentoo.org/show_bug.cgi?id=283008

could anyone skilled enough please update the existing ebuild from 2.0.0.72 ?

thanks :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
junhao82
n00b
n00b


Joined: 04 Nov 2005
Posts: 4

PostPosted: Sat Aug 29, 2009 12:38 pm    Post subject: Reply with quote

New ebuild request:
https://bugs.gentoo.org/show_bug.cgi?id=283008
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3256

PostPosted: Sat Aug 29, 2009 2:55 pm    Post subject: Reply with quote

Does this work on native amd64, without the emulation libraries? There seems to be a amd64 version for ubuntu.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde5 | e is unstable :-/
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Sat Aug 29, 2009 4:00 pm    Post subject: Reply with quote

ppurka wrote:
Does this work on native amd64, without the emulation libraries? There seems to be a amd64 version for ubuntu.
there are no truly x64 version. ubuntu amd64 version depends on x32 libs
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3256

PostPosted: Sat Aug 29, 2009 5:16 pm    Post subject: Reply with quote

Rion wrote:
ppurka wrote:
Does this work on native amd64, without the emulation libraries? There seems to be a amd64 version for ubuntu.
there are no truly x64 version. ubuntu amd64 version depends on x32 libs
Oh ok. Thanks for that information.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde5 | e is unstable :-/
Back to top
View user's profile Send private message
Fran
Guru
Guru


Joined: 29 Feb 2004
Posts: 530
Location: Coruña (Spain)

PostPosted: Sun Aug 30, 2009 8:49 am    Post subject: Reply with quote

Quite buggy for me. The video LAGS a lot (like 1 minute). Sound events strut. And I still get spammed with

Code:
E: shm.c: Invalid shared memory segment size
E: shm.c: Invalid shared memory segment size
E: shm.c: Invalid shared memory segment size
E: socket-client.c: socket(): Address family not supported by protocol
E: shm.c: Invalid shared memory segment size
E: shm.c: Invalid shared memory segment size
E: shm.c: Invalid shared memory segment size
E: socket-client.c: socket(): Address family not supported by protocol
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM null
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM null
E: shm.c: Invalid shared memory segment size
E: shm.c: Invalid shared memory segment size
E: shm.c: Invalid shared memory segment size
E: socket-client.c: socket(): Address family not supported by protocol
*** PULSEAUDIO: Unable to connect: Connection refused
E: shm.c: Invalid shared memory segment size
E: shm.c: Invalid shared memory segment size
E: shm.c: Invalid shared memory segment size

...(etc)

Shit, I wish there was a decent alternative to skype for VoIP :x
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Mon Aug 31, 2009 1:48 am    Post subject: Reply with quote

Fran wrote:
Shit, I wish there was a decent alternative to skype for VoIP :x
cant say anything about video but audio with alsa works quite good and i don't understand people who install pulseaudio and have lots of problems after that
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Fran
Guru
Guru


Joined: 29 Feb 2004
Posts: 530
Location: Coruña (Spain)

PostPosted: Tue Sep 01, 2009 8:31 pm    Post subject: Reply with quote

Rion wrote:
Fran wrote:
Shit, I wish there was a decent alternative to skype for VoIP :x
cant say anything about video but audio with alsa works quite good and i don't understand people who install pulseaudio and have lots of problems after that

Well, I tried to get it working because gnome will depend on it from now on (i.e., no mixer without pulseaudio). Also, the per-app mixer was nice. But yeah, the same day I posted my previous message I decided to get rid of it. I can live without the gnome mixer, and everything else works much better with just plain old alsa. I hope everything will work great by the time the pulseaudio use variable disappears and the dependency is made mandatory.
Back to top
View user's profile Send private message
lefsha
Veteran
Veteran


Joined: 30 Aug 2004
Posts: 1014
Location: Sankt-Petersburg, Russia

PostPosted: Tue Sep 01, 2009 10:14 pm    Post subject: Reply with quote

Rion wrote:
ppurka wrote:
Does this work on native amd64, without the emulation libraries? There seems to be a amd64 version for ubuntu.
there are no truly x64 version. ubuntu amd64 version depends on x32 libs


It's even not an amd64 version. There is no such a version available... yet.

What they call amd64 version is something which could work on 64-bit Ubuntu.
Every one can do that by installing the additional libs.
_________________
Lefsha
Back to top
View user's profile Send private message
erikderzweite
Tux's lil' helper
Tux's lil' helper


Joined: 25 Feb 2006
Posts: 143

PostPosted: Wed Sep 09, 2009 6:22 pm    Post subject: Reply with quote

Quote:
cant say anything about video but audio with alsa works quite good and i don't understand people who install pulseaudio and have lots of problems after that

So far, it seems not possible for me to use bluetooth headset with skype on amd64 without pulseaudio. I get errors about ALSA libs if I try to use the .asoundrc method of connecting my headset even though I have compiled necessary 32-bit libs in chroot myself. And pulseaudio in user mode doesn't work apparently due to permission errors. If I start pulseaudio in system mode it kind of works, but I still wonder what permissions do I need to change to make it work in user mode.

Thanks $deity pidgin has support for video and audio calls now.
Back to top
View user's profile Send private message
xlr8_joe
n00b
n00b


Joined: 19 Sep 2009
Posts: 1
Location: France

PostPosted: Sat Sep 19, 2009 8:08 pm    Post subject: UVC Video on amd64 Reply with quote

For me to get a UVC based webcam working on amd64. I needed to use an overlay for media-libs/libv4l-0.6.1 to enable both a 32bit version and the 64 bit version of these libs.
See: https://bugs.gentoo.org/show_bug.cgi?id=240090

Also, I needed to explicitly have the libraries loaded before Skype starts. So, you must modify /usr/bin/skype (a shell script) to include:
Code:
# Added for amd64
export LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so



Good luck!!! :D
Back to top
View user's profile Send private message
lefsha
Veteran
Veteran


Joined: 30 Aug 2004
Posts: 1014
Location: Sankt-Petersburg, Russia

PostPosted: Sun Sep 20, 2009 12:54 pm    Post subject: Reply with quote

Never did something like that. Everything works well.
_________________
Lefsha
Back to top
View user's profile Send private message
erikderzweite
Tux's lil' helper
Tux's lil' helper


Joined: 25 Feb 2006
Posts: 143

PostPosted: Wed Oct 07, 2009 11:57 am    Post subject: stopped working after an upgrade Reply with quote

After -uDN system world skype stopped working, I get:
Code:
$ skype
/usr/bin/skype: line 10: /opt/skype/skype: No such file or directory
/usr/bin/skype: line 10: /opt/skype/skype: Success

/opt/skype/skype is there:
Code:
$ ls /opt/skype/skype -l
-rwxr-xr-x 1 root audio 18769540  7. Okt 00:52 /opt/skype/skype

on re-emerging skype I get
Code:
 * QA Notice: The following files contain writable and executable sections
 *  Files with such sections will not work properly (or at all!) on some 
 *  architectures/operating systems.  A bug should be filed at           
 *  http://bugs.gentoo.org/ to make sure the issue is fixed.             
 *  For more information, see http://hardened.gentoo.org/gnu-stack.xml   
 *  Please include the following list of files in your report:           
 *  Note: Bugs should be filed for the respective maintainers             
 *  of the package in question and not hardened@g.o.                     
 * --- --- RWX opt/skype/skype         

but I don't use hardened:
Code:
eselect profile list
Available profile symlink targets:
  [1]   default/linux/amd64/10.0
  [2]   default/linux/amd64/10.0/desktop *
  [3]   default/linux/amd64/10.0/developer
  [4]   default/linux/amd64/10.0/no-multilib
  [5]   default/linux/amd64/10.0/server
  [6]   hardened/linux/amd64/10.0
  [7]   hardened/linux/amd64/10.0/no-multilib
  [8]   selinux/2007.0/amd64
  [9]   selinux/2007.0/amd64/hardened
  [10]  selinux/v2refpolicy/amd64
  [11]  selinux/v2refpolicy/amd64/desktop
  [12]  selinux/v2refpolicy/amd64/developer
  [13]  selinux/v2refpolicy/amd64/hardened
  [14]  selinux/v2refpolicy/amd64/server

Any ideas? The update was mainly kde, coreutils were updated as well, but downgrading them doesn't help.
Back to top
View user's profile Send private message
dmpogo
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2511
Location: Canada

PostPosted: Wed Oct 07, 2009 10:18 pm    Post subject: Re: UVC Video on amd64 Reply with quote

xlr8_joe wrote:
For me to get a UVC based webcam working on amd64. I needed to use an overlay for media-libs/libv4l-0.6.1 to enable both a 32bit version and the 64 bit version of these libs.
See: https://bugs.gentoo.org/show_bug.cgi?id=240090

Also, I needed to explicitly have the libraries loaded before Skype starts. So, you must modify /usr/bin/skype (a shell script) to include:
Code:
# Added for amd64
export LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so



Good luck!!! :D


Strange, video works fine for me with skype-2.0.0.7? on UVC camera with standard v4l2 drivers from the kernel
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 188

PostPosted: Thu Oct 08, 2009 5:57 am    Post subject: Reply with quote

Well, perhaps I can bring some light into this discussion. This is my understanding of the situation, of course any hints and corrections are welcome:

a) libv4l is not needed for webcams which are uvc-based (e.g. Logitech quickcam pro 9000)
b) uvc-webcams work with skype using kernels<2.6.31-rc4 (e.g. tuxonice-2.6.30-r5)
c) I can't use uvc-webcams with any kernel-2.6.31 which might be due to an acpi-regression (not sure about this)
d) libv4l is needed for all gpcsa-webcams (then it is needed multilib on amd64 as skype is 32bit)

Can anybody confirm c)?

Best regards!

PS: I supect, it is this bug: http://bugzilla.kernel.org/show_bug.cgi?id=13940
PPS: or this one http://www.mail-archive.com/linux-media@vger.kernel.org/msg10462.html :?:
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Thu Oct 08, 2009 6:39 am    Post subject: Reply with quote

Quote:
b) uvc-webcams work with skype using kernels<2.6.31-rc4 (e.g. tuxonice-2.6.30-r5)
c) I can't use uvc-webcams with any kernel-2.6.31 which might be due to an acpi-regression (not sure about this)

honestly Im using 2 different uvc cams with a 2.6.31 kernel.. no special tweaks, they just work out of the box
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 188

PostPosted: Thu Oct 08, 2009 7:27 am    Post subject: Reply with quote

Dottout wrote:
Quote:
b) uvc-webcams work with skype using kernels<2.6.31-rc4 (e.g. tuxonice-2.6.30-r5)
c) I can't use uvc-webcams with any kernel-2.6.31 which might be due to an acpi-regression (not sure about this)

honestly Im using 2 different uvc cams with a 2.6.31 kernel.. no special tweaks, they just work out of the box


Good to know as I use to different uvc-webcams on two different computers with different kernels also. Using kernel <2.6.31 works, >=2.6.31 does not work. The one is a Logitech quickcam pro 9000, the other I do not know. I will post ids in the evening.

Thank you for feedback!
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Thu Oct 08, 2009 7:33 am    Post subject: Reply with quote

one IS a quickcam pro 9000!
Code:

Bus 001 Device 009: ID 046d:0990 Logitech, Inc. QuickCam Pro 9000

the second one instead is the integrated cam on my vaio tt laptop
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 188

PostPosted: Thu Oct 08, 2009 8:55 am    Post subject: Reply with quote

Dottout wrote:
one IS a quickcam pro 9000!
Code:

Bus 001 Device 009: ID 046d:0990 Logitech, Inc. QuickCam Pro 9000


Well, this backs up the idea, it is acpi related! (as the acpi behaves very different on different machines). And it explaines why it is so difficult to track this problem. I will test with acpi-off in the evening and report the results!
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 188

PostPosted: Fri Oct 09, 2009 1:13 am    Post subject: Reply with quote

Code:
usb usb1: usb resume
ehci_hcd 0000:00:1d.7: resume root hub
hub 1-0:1.0: hub_resume
ehci_hcd 0000:00:1d.7: GetStatus port 4 status 001803 POWER sig=j CSC CONNECT
hub 1-0:1.0: port 4: status 0501 change 0001
hub 1-0:1.0: state 7 ports 8 chg 0010 evt 0000
hub 1-0:1.0: port 4, status 0501, change 0000, 480 Mb/s
ehci_hcd 0000:00:1d.7: port 4 high speed
ehci_hcd 0000:00:1d.7: GetStatus port 4 status 001005 POWER sig=se0 PE CONNECT
usb 1-4: new high speed USB device using ehci_hcd and address 18
ehci_hcd 0000:00:1d.7: port 4 high speed
ehci_hcd 0000:00:1d.7: GetStatus port 4 status 001005 POWER sig=se0 PE CONNECT
usb 1-4: skipped 1 descriptor after configuration
usb 1-4: skipped 6 descriptors after interface
usb 1-4: skipped 1 descriptor after endpoint
usb 1-4: skipped 9 descriptors after interface
usb 1-4: default language 0x0409
usb 1-4: udev 18, busnum 1, minor = 17
usb 1-4: New USB device found, idVendor=0c45, idProduct=62c0
usb 1-4: New USB device strings: Mfr=2, Product=1, SerialNumber=0
usb 1-4: Product: USB 2.0 Camera
usb 1-4: Manufacturer: Sonix Technology Co., Ltd.
usb 1-4: uevent
usb 1-4: usb_probe_device
usb 1-4: configuration #1 chosen from 1 choice
usb 1-4: adding 1-4:1.0 (config #1, interface 0)
usb 1-4:1.0: uevent
uvcvideo 1-4:1.0: usb_probe_interface
uvcvideo 1-4:1.0: usb_probe_interface - got id
uvcvideo: Found UVC 1.00 device USB 2.0 Camera (0c45:62c0)
input: USB 2.0 Camera as /class/input/input15
usb 1-4: adding 1-4:1.1 (config #1, interface 1)
usb 1-4:1.1: uevent
drivers/usb/core/inode.c: creating file '018'
usb 1-4:1.0: uevent
usb 1-4: link qh4-0001/f7289100 start 0 [1/0 us]
usb 1-4: unlink qh4-0001/f7289100 start 0 [1/0 us]
usb 1-4:1.0: uevent
usb 1-4: uevent
usb 1-4:1.0: uevent
ehci_hcd 0000:00:1d.7: reused qh f7289100 schedule
usb 1-4: link qh4-0001/f7289100 start 0 [1/0 us]
usb 1-4: unlink qh4-0001/f7289100 start 0 [1/0 us]


However with kernel 2.6.31 under skype there is NO camera available. With kernel 2.6.30-r5 i can use the same camera in skype withpout any problems. :( [/code]
Back to top
View user's profile Send private message
luciano
Tux's lil' helper
Tux's lil' helper


Joined: 18 Nov 2004
Posts: 127

PostPosted: Thu Dec 17, 2009 2:16 pm    Post subject: Reply with quote

I'm also suffering from

Code:
E: shm.c: Invalid shared memory segment size
E: socket-client.c: socket(): Address family not supported by protocol
*** PULSEAUDIO: Unable to connect: Connection refused


Which several people have reported the ebuild bug report. Has anyone been able to work around this? I'm running pulseaudio 0.9.19 on x64.
Back to top
View user's profile Send private message
luciano
Tux's lil' helper
Tux's lil' helper


Joined: 18 Nov 2004
Posts: 127

PostPosted: Thu Dec 17, 2009 3:26 pm    Post subject: Reply with quote

Somebody mentioned:

Quote:

If I understand the problem correctly, skype 2.1 needs 32bit pulseaudio.
Therefore, in order for it to work on amd64, it needs pulseaudio libraries.
There is a bug already filed for this: Bug 186820. Can someone please mark this
bug depending on it?



So, after upgrading to the unstable emulation libs, I still get:

ALSA lib pcm.c:2171:(snd_pcm_open_conf) Cannot open shared library /usr/lib32/alsa-lib/libasound_module_pcm_pulse.so

Does anybody know if this will be included in the next emul lib release?
Back to top
View user's profile Send private message
Strix
n00b
n00b


Joined: 07 Apr 2005
Posts: 12
Location: Poland/Portugal

PostPosted: Sun Dec 27, 2009 2:54 pm    Post subject: Reply with quote

luciano wrote:

Code:
E: shm.c: Invalid shared memory segment size
E: socket-client.c: socket(): Address family not supported by protocol
*** PULSEAUDIO: Unable to connect: Connection refused



Hi,

perhaps this will help someone: I've managed to get skype working with PulseAudio and get rid of the these errors. First of all, I am using skype beta version 2.1.0.47 and PulseAudio version 0.9.19.

The first error could be fixed in my case by specifying a definite shared memory segment size in /etc/pulse/daemon.conf, e.g.
Code:
shm-size-bytes = 64

Using the system-default value doesn't work.

Second error, IMHO, is because skype uses IPv6. I was able to get rid of it by compiling the IPv6 support in the kernel and pulseaudio as well.

Third error might be because skype uses network protocol to communicate with PulseAudio - use netstat to check if pulseaudio is listening on TCP.
You should have pulseaudio listening on port 4713, on both protocols TCP and TCP6. If it doesn't, check the file /etc/pulse/default.pa, you should
uncomment
Code:
load-module module-native-protocol-tcp


Good luck,
Borys
Back to top
View user's profile Send private message
luciano
Tux's lil' helper
Tux's lil' helper


Joined: 18 Nov 2004
Posts: 127

PostPosted: Wed Dec 30, 2009 5:34 pm    Post subject: new emulation libs fixes amd64 problem Reply with quote

Hi! Thanks for your reply. However, going through bugzilla I found that this seemed to be a problem resulting from missing 32 bit pulseaudio libraries. Upgrading to the latest emul libs, released a few days ago:

app-emulation/emul-linux-x86-soundlibs-20091226

fixed the error messages. Now, if I look in the 'sound' options, there is only one selection available, which says pulseaudio (not 'default'!).

So upgrading to latest emul libs should fix this problem for AMD64 users!
Back to top
View user's profile Send private message
jcTux
Apprentice
Apprentice


Joined: 29 Dec 2009
Posts: 276
Location: Tours, France

PostPosted: Thu Dec 31, 2009 12:59 pm    Post subject: Re: new emulation libs fixes amd64 problem Reply with quote

luciano wrote:
Hi! Thanks for your reply. However, going through bugzilla I found that this seemed to be a problem resulting from missing 32 bit pulseaudio libraries. Upgrading to the latest emul libs, released a few days ago:

app-emulation/emul-linux-x86-soundlibs-20091226

fixed the error messages. Now, if I look in the 'sound' options, there is only one selection available, which says pulseaudio (not 'default'!).

So upgrading to latest emul libs should fix this problem for AMD64 users!


Tanks luciano. It works finally for me.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum